#
# spec file for package arptables
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://ebtables.sourceforge.net/

Name:           arptables
Version:        0.0.4
Release:        8.4
%define oversion	v0.0.4
License:        GPL-2.0+
Group:          Productivity/Networking/Security
Summary:        User Space Tool to Set Up and Maintain ARP Filtering Tables

Source:         %name-%oversion.tar.xz
Source1:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  coreutils perl xz

%description
arptables is a user space tool used to set up and maintain thetables of
ARP rules in the Linux kernel. These rules inspect the ARPframes.
arptables is similar to the iptables userspace tool, but less
complicated.

%prep
%if 0%{?__xz:1}
%setup -qn %name-%oversion
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTqn %name-%oversion
%endif

%build
make %{?_smp_mflags} all LIBDIR=/%{_lib} PREFIX=%_prefix COPT_FLAGS="$RPM_OPT_FLAGS -W -Wall"
cp %{S:1} .

%install
make install DESTDIR=%{buildroot} LIBDIR=/%{_lib} PREFIX=%_prefix MANDIR=%_mandir
# This is a RH-specific init script
rm -Rf "%buildroot/etc/rc.d"

%files
%defattr(-,root,root)
%_sbindir/arptables*
%{_mandir}/*/arptables*
%doc COPYING

%changelog
* Sat Jan 26 2013 cs@linux-administrator.com
- Update to new upstream release 0.0.4
  * also print the -i and -o interface if -v is not specified
  * fix handling of inversion flag
  * let --proto-type also accept hexadecimal input
  * add xtables CLASSIFY target
- Dropped arptables-install.diff and arptables-warnings.diff,
  merged upstream
- Switch version number to what upstream uses (1.0.4 -> 0.0.4),
  yast/libzypp can handle downgrades for some years now
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Fri May  7 2010 meissner@suse.de
- actually apply RPM_OPT_FLAGS.
* Mon Mar 15 2010 jengelh@medozas.de
- drop JF fork and use the mainline arptables again
- update to v0.0.3-4
  * Update the userspace arptables tool to kernels 2.6.16 and
    above. A change in the kernel API broke compatibility with the
    arptables tool around release 2.6.16, causing the filtering to
    behave unexpectedly.
* Sat Dec 19 2009 jengelh@medozas.de
- Enable parallel build
* Mon Sep  7 2009 mt@suse.de
- Fixed to close opened files (bnc#518204).
* Tue Jan 13 2009 mt@suse.de
- Added symlink to the GPL-2.0.txt license file (bnc#424589).
* Fri Sep  5 2008 mt@suse.de
- Initial arptables_jf-0.0.8 package (fate#303394).
